//**********************************************************************
//
//	blend.shader for Q3 by AMT-spray
//	
//
//**********************************************************************
//
// ======================================================================
// FLOOR BLENDS
// ======================================================================
textures/c_sprej/darkgrey-grey
{
	qer_editorimage textures/c_sprej/darkgrey-grey.tga
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	{
		// Primary
		map textures/c_sprej/base-concrete-darkgrey.tga
		rgbGen identity
	}
	{
		// Secondary
		map textures/c_sprej/base-concrete-grey.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/c_sprej/darkgrey-floorgrey
{
	qer_editorimage textures/c_sprej/darkgrey-floorgrey.tga
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	{
		// Primary
		map textures/c_sprej/base-concrete-darkgrey.tga
		rgbGen identity
	}
	{
		// Secondary
		map textures/c_sprej/floor-concrete-grey.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
// ----------------------------------------------------------------------
textures/c_sprej/grey-floorgrey
{
	qer_editorimage textures/c_sprej/grey-floorgrey.tga
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	{
		// Primary
		map textures/c_sprej/base-concrete-grey.tga
		rgbGen identity
	}
	{
		// Secondary
		map textures/c_sprej/floor-concrete-grey.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
// ----------------------------------------------------------------------
textures/c_sprej/floor-flag
{
	qer_editorimage textures/c_sprej/floor-flag.tga
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	{
		// Primary
		map textures/c_sprej/floor-concrete-grey.tga
		rgbGen identity
	}
	{
		// Secondary
		map textures/c_sprej/floor-concrete-grey-flag.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
// ----------------------------------------------------------------------
textures/c_sprej/flag-square
{
	qer_editorimage textures/c_sprej/flag-square.tga
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	{
		// Primary
		map textures/c_sprej/floor-concrete-grey-flag.tga
		rgbGen identity
	}
	{
		// Secondary
		map textures/c_sprej/floor-concrete-grey-square.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
// ----------------------------------------------------------------------
textures/c_sprej/square-X
{
	qer_editorimage textures/c_sprej/square-X.tga
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	{
		// Primary
		map textures/c_sprej/floor-concrete-grey-square.tga
		rgbGen identity
	}
	{
		// Secondary
		map textures/c_sprej/floor-concrete-grey-X.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
// ----------------------------------------------------------------------
textures/c_sprej/X-big
{
	qer_editorimage textures/c_sprej/X-big.tga
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	{
		// Primary
		map textures/c_sprej/floor-concrete-grey-X.tga
		rgbGen identity
	}
	{
		// Secondary
		map textures/c_sprej/floor-concrete-grey-X-big.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
// ----------------------------------------------------------------------

// ----------------------------------------------------------------------

// ======================================================================
// ALPHA BRUSHES
// ======================================================================
textures/c_sprej/alpha_000
{
	qer_editorimage textures/c_sprej/alpha_000.tga
	q3map_alphaMod volume
	q3map_alphaMod set 0.0
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.7
}
textures/c_sprej/alpha_025
{
	qer_editorimage textures/c_sprej/alpha_025.tga
	q3map_alphaMod volume
	q3map_alphaMod set 0.25
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.7
}
textures/c_sprej/alpha_050
{
	qer_editorimage textures/c_sprej/alpha_050.tga
	q3map_alphaMod volume
	q3map_alphaMod set 0.5
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.7
}
textures/c_sprej/alpha_075
{
	qer_editorimage textures/c_sprej/alpha_075.tga
	q3map_alphaMod volume
	q3map_alphaMod set 0.75
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.7
}
textures/c_sprej/alpha_085
{
	qer_editorimage textures/c_sprej/alpha_085.tga
	q3map_alphaMod volume
	q3map_alphaMod set 0.85
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.7
}
textures/c_sprej/alpha_100
{
	qer_editorimage textures/c_sprej/alpha_100.tga
	q3map_alphaMod volume
	q3map_alphaMod set 1.0
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.7
}
////////////////////TELE
textures/c_sprej/tele
{
	qer_editorimage textures/c_sprej/tele
	deformVertexes autosprite
     	surfaceparm	trans
     	nomipmaps

	{
		clampmap textures/c_sprej/tele.tga
		blendfunc gl_one gl_one
		tcMod stretch sawtooth 1 -.9 .5 1.15
		tcMod rotate 15
		rgbGen wave sawtooth .5 .5 .25 1.15
	}
	{
		clampmap textures/c_sprej/tele.tga
		blendfunc gl_one gl_one
		tcMod stretch sawtooth 1 -.9 .5 1.5
		tcMod rotate -60
		rgbGen wave sawtooth .75 .5 .5 1.5
	}
}
//////////////////// BLUE LAVA


textures/c_sprej/blue_lava
{
		qer_editorimage textures/c_sprej/blue_lava.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
	
		cull disable
		deformVertexes wave 64 sin .5 .5 0 .5	
		
		{ 
			map textures/c_sprej/blue_lava.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 1.5 0 1.5 1 1 2
			tcmod scroll -.05 .001
		}
	
		{ 
			map textures/c_sprej/blue_lava.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 0 1.5 1 1.5 2 1
			tcmod scroll .025 -.001
		}

		{ 
			map textures/c_sprej/blue_lava.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .25 .5
			tcmod scroll .001 .025
		}
	
		{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbgen identity		
		}
	

}
///////////////////  LASER

textures/fj-metal/blue
{
	qer_editorimage textures/fj-metal/blue.jpg
	surfaceparm trans
	surfaceparm nomarks
	cull disable
	qer_trans 0.5
	q3map_surfacelight 80
	{
		map textures/effects/envmapblue.jpg
		blendfunc add
		rgbGen const ( 0.564706 0.564706 0.564706 )
		tcMod scale 1.5 1.5
		tcGen environment 
	}
	{
		map textures/sfx/bugmirror.tga
		blendfunc add
		rgbGen const ( 0.243137 0.243137 0.243137 )
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap
	}
}

///////////////////// SFX

textures/c_sprej/Blue_linescroll
{
	qer_editorimage textures/c_sprej/Blue_linescroll_img.tga
        surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	
	{
		map textures/c_sprej/Blue_linescroll.tga
                tcMod Scroll 0 -1
                blendFunc add
        }
     
}

textures/c_sprej/bluefog
{
	qer_editorimage textures/c_sprej/bluefog.tga
	surfaceparm fog
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.5
	fogparms ( 0 0 .8 ) 4000
}
textures/c_sprej/laser
{
	qer_editorimage textures/c_sprej/laser.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	qer_trans 0.4
	q3map_surfacelight 300
	{
		map textures/c_sprej/laser.tga
		blendfunc add
		tcMod scroll 1 1
	}
}


///////////////////// LIGHTS


textures/fj-metal/base-ceiling-1
{
	qer_editorimage textures/fj-metal/base-ceiling-1.tga
	surfaceparm nomarks
	q3map_surfacelight 10
	//light 1

	// New Fluorescent light
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/fj-metal/base-ceiling-1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/fj-metal/ceiling_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}



